Cannot Uninstall or repair Global Protect vpn client on Windows

cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot Uninstall or repair Global Protect vpn client on Windows

L1 Bithead

Hi:

 

This morning I received the ugrade version prompt for the VPN client I mindlessly clicked yes but didn't reboot and kept working... During the day I did a reboot of the laptop and received an error prompt about MFC120.dll missing.  I already tried uninstalling and repair and both options don't work.

 

- Is there a manual way to uninstall GP VPN Client ?

- or Is there a way to force install over a previous installation ? (i've downloaded the latest version of the VPN client msi)

 

Hope someone can answer.

 

Thanks,

 

_SAnsari

1 ACCEPTED SOLUTION

Accepted Solutions

Here is what finally worked for me.  I was able to successfully repair the install using the installer of the previous version.  But after uninstalling and reinstalling the new version the same error occured. 

 

I was able to finally successfully install the new version after reinstalling vcredist_x64.zip and after that I was able to successfully install the new version.

View solution in original post

5 REPLIES 5

L7 Applicator

Did you try to clean up registry?

 

https://live.paloaltonetworks.com/t5/Configuration-Articles/GlobalProtect-Error-During-Installation-...

Enterprise Architect, Security @ Cloud Carib Ltd
ACE, PCNSE, PCNSI

I tried the steps mentioned.

 

- Removed the registry entries

- PanGPS service isn't running ... so couldn't perform that.

- rebooted

- executed the msi file again to install.

    - "remove" gets interuppted (install encounters an error)

    - "repair" give (account already exists) and then errors out.

 

- GlobalProtect still appears under Installed programs.

 

Anything else I can try ?

Here is what finally worked for me.  I was able to successfully repair the install using the installer of the previous version.  But after uninstalling and reinstalling the new version the same error occured. 

 

I was able to finally successfully install the new version after reinstalling vcredist_x64.zip and after that I was able to successfully install the new version.

So why wouldn't a newer version work for you? 

L2 Linker

We experience many similar issues with a missing dll error when upgrading from 3.0.3 to 3.1.6. Repairing MS Visual C++ 2013 Redistributable resolved the issue in our cases.

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!